Bug 104660 - Nautilus multiple segmentation fault occurs during startup with no debugging symbols left in bug buddy
Nautilus multiple segmentation fault occurs during startup with no debugging ...
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2003-09-18 11:57 EDT by Josh Snyder
Modified: 2015-01-07 19:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-04 09:45:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Nautilus strace output (246.74 KB, text/plain)
2003-09-18 11:59 EDT, Josh Snyder
no flags Details
Nautilus Bug Buddy information after returning .gnome directory (4.79 KB, text/plain)
2003-09-19 13:57 EDT, Josh Snyder
no flags Details
Nautilus BugBuddy output after copying only the .gnome directory (2.31 KB, text/plain)
2003-09-22 09:52 EDT, Josh Snyder
no flags Details

  None (edit)
Description Josh Snyder 2003-09-18 11:57:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4) Gecko/20030624

Description of problem:
After a power outage, whenever I boot my RH 9 desktop system and login to X via
graphical login, as soon as the Loading Nautilus splash is shown, Nautilus
begins to crash and continue to crash, displaying in total, 8 windows each stating:

Application "nautilus" (process 1) has crashed due to a fatal error.
(Segmentation fault)

This also occurs if I attempt to run Nautilus from the command line:

[josh@hanta josh]$ /usr/bin/nautilus
Multiple segmentation faults occured; can't display error dialog

After I run it from the command line, 10 error dialog boxes appear.

Both, when ran at login or from the command line, when I attempt to click on
"Submit a bug report", Bug Buddy shows:

Backtrace was generated from '/usr/bin/nautilus'

(no debugging symbols found)...

I didn't know if an "strace" of the execution of nautilus would be beneficial
since there's no debugging information available in Bug Buddy, so, I went ahead
and attached the output from an "strace" which is also available at

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Login into X via the graphical login OR
2.Execute "/usr/bin/nautilus" from the command line

Actual Results:  I immediately receive the errors as I explained in the
Description section.

Expected Results:  Nautilus should have loaded and I should have received my
desktop icons.

Additional info:

This is a standard Red Hat 9 install.  All of the core libraries and packages
are Red Hat packages as released in the distro and/or updates mirror.

Also, I erased "rpm --erase" each of the nautilus packages and reinstalled them
and still have the same problem, so, maybe there's another library that I'm
experiencing the problem with.

Whatever is causing this problem may also be causing Mozilla to be unable to
execute.  After clicking on Mozilla in the toolbar, I see "Starting Mozi" in the
toolbar, but then it just disappears and nothing runs.  And when starting it
from the command line with "/usr/lib/mozilla-1.2.1/mozilla-bin", I receive no
output of any kind.
Comment 1 Josh Snyder 2003-09-18 11:59:02 EDT
Created attachment 94586 [details]
Nautilus strace output
Comment 2 Alexander Larsson 2003-09-19 03:31:49 EDT
Very strange.
Can you try working around this by temporarily moving ~/.nautilus, ~/.gnome and
~/.gnome2 out of the way? if that fixes it, try figuring out which directory was
causing the problem and tar it up and attach here.
Comment 3 Josh Snyder 2003-09-19 09:41:05 EDT
As instructed I moved those three directories from my home directory but that
did not fix the problem.  Nautilus still crashes.  However, now, I also have
none of the default icons on my Gnome toolbar.  The only items that appear now
are the fedora, the workspace switcher, rhn checkmark, and clock.  I have logged
out and logged back in several times and was quite surprised to find that the
default, or at least I thought they were default, toolbar items did not reappear.
Comment 4 Alexander Larsson 2003-09-19 11:13:52 EDT
You moved the directories back?
Comment 5 Josh Snyder 2003-09-19 13:56:11 EDT
Yes.  At first I only the .gnome directory back.  When I logged into X, the
Gnome toolbar entries were still missing as before, but instead of Nautilus
immeidately crashing 8 times or so, it attempted to run once and crashed.  Then
for each time I  clicked "Close" on the crash reporter, another instance of
Nautilus ran and crashed again.  This happened about 8 or 9 times, then it
stopped attempting to run.  During this time, I was able to obtain some
information from Bug Buddy, however, when I attempted to click "Save", Bug Buddy
then proceeded to crash as well, but I was able to copy/paste the information to
a file and am attaching it.

As for the other directories, when moving .gnome2 back, my toolbar icons
returned and I still had the same problem with Nautilus and no debugging info. 
The same happened when I copied the .nautilus directory back as well.
Comment 6 Josh Snyder 2003-09-19 13:57:06 EDT
Created attachment 94601 [details]
Nautilus Bug Buddy information after returning .gnome directory
Comment 7 Alexander Larsson 2003-09-22 05:35:05 EDT
There is no debuginfo in that backtrace, could you install these packages and do
it again:

Comment 8 Josh Snyder 2003-09-22 09:51:58 EDT
I installed the requested packages, logged out, and logged back in.  The Bug
Buddy output I'm attaching is as reported when only the .gnome directory was
copied back.  I attempted to obtain Bug Buddy output after copying .gnome,
.gnome2, and .nautilus back, but it still simply reported "no debugging symbols".
Comment 9 Josh Snyder 2003-09-22 09:52:43 EDT
Created attachment 94625 [details]
Nautilus BugBuddy output after copying only the .gnome directory
Comment 10 Alexander Larsson 2003-09-22 10:53:39 EDT
Very very strange. The backtrace (of thread #1) is cut short, so you can't see
what caused the crash.
Comment 11 Josh Snyder 2003-09-23 10:09:47 EDT
So, do we have anywhere to go from here, or is it time I reinstall?  Should I go
through the strace output and reinstall every library that I see listed? Do you
think it would do any good?
Comment 12 Alexander Larsson 2003-09-23 13:37:03 EDT
Does this happen for a new user?
Comment 13 Josh Snyder 2003-09-23 14:08:37 EDT
I created a new user and experienced the same problem.  Bug Buddy displays "no
debugging symbols found" for '/usr/bin/nautilus'.  I then attempted the
procedure of moving .gnome, .gnome2, and .nautilus from ~test and experienced
the same problem, however, unlike my user, the test user account experienced
nautilus crashing 8+ times no matter what directory I moved into the homedir,
whereas nautilus would only crash one at a time after I clicked "Close" on the
Crash Reporter after moving the .gnome directory back into my homedir,
otherwise, it appears to be exactly the same for the test user.
Comment 14 Alexander Larsson 2003-09-23 14:39:37 EDT
Then the problem seems to be with the installation in some way and not with the
configuration files of the particular user. I don't have a good idea how to work
around this.
Comment 15 Josh Snyder 2003-09-23 16:13:01 EDT
Well, I suppose I'll just have to reinstall then.  Thanks for the assistance.

Note You need to log in before you can comment on or make changes to this bug.